unit SPR_DELPH;

interface

const
  LF  = chr($0A);
  DC1 = chr($11);
  DC2 = chr($12);
  DC3 = chr($13);

type
  TZdarzenieBarkod = procedure (AdresIP : PChar; Barkod : PChar; TekstNaWyswietlacz : PChar; var RodzajDzwieku : Longword;
    var CzasWyswietlania : Longword; TekstDoDrukarki : PChar); StdCall;
  TZdarzenieStatus = procedure (AdresIP : PChar; TypWyswietlacza : Longword; TypDrukarki : Longword; Status : Longword;
    Wersja : PChar);  StdCall;
  TZdarzenieBlad = procedure (AdresIP : PChar; TypTransmisji : Longword; NrBledu : Longword; OpisBledu : PChar); StdCall;

  function UruchomionoObslugeSprawdzarek(var NrBledu : Longword; OpisBledu : PChar;
    ObslugaBarkodow : TZdarzenieBarkod; ObslugaStatusow : TZdarzenieStatus; ObslugaBledow : TZdarzenieBlad) : boolean; StdCall;
  procedure ZatrzymanieObslugiSprawdzarek; StdCall;
  procedure OdczytajStatus(AdresIP : PChar); StdCall;
  procedure WpiszTekstStaly(AdresIP : PChar; NrTekstu : Longword; TekstNaWyswietlacz : PChar; CzasWyswietlania : Longword); StdCall;
  procedure WpiszTekstReklamowy(AdresIP : PChar; NrTekstu : Longword; TekstNaWyswietlacz : PChar; CzasWyswietlania : Longword; SposobWyswietlania : Longword); StdCall;

implementation
  function UruchomionoObslugeSprawdzarek;  external 'SPR_LAN.DLL';
  procedure ZatrzymanieObslugiSprawdzarek; external 'SPR_LAN.DLL';
  procedure OdczytajStatus;                external 'SPR_LAN.DLL';
  procedure WpiszTekstStaly;               external 'SPR_LAN.DLL';
  procedure WpiszTekstReklamowy;           external 'SPR_LAN.DLL';
end.

